Search query
Search through indexed items of a search engine.
Authorizations
Query Parameters
Exclusive parameters are negative filters.
Doofinder expects the exclude parameters grouped like this:
exclude: { color: ['blue', 'red'], size: ['M', 'S'], price: { gte: 4.36, lt: 99 } }
For the range filters it can be used the following:
- gte: Greater than or equal
- lte: Less than or equal
- gt: Greater than
- lt: Less than
Writing that down in request parameters language is:
exclude[color][]=blue&exclude[color][]=red&exclude[size]=M&exclude[size]=S&exclude[price][gte]=4.36&exclude[price][lt]=99
Note that [ and ] characters should be escaped (%5B and %5D) in all exclude cases.
Aggregates fields values in a facet, you could use a term facet or range facet. Read facets configuration for more deep info about facets.
The type of the facet (term or range) will be determined automatically.
Parameters:
- field*: That is the field name that you want to aggregate results.
- size: The number of results to return in each field. Only applicable to facet terms. Maximum: 50 by default to help maintain the speed of the search function. If you need more, please contact Doofinder support.
- type: The facet type. Indicates the type of the facet, one of
termorrange. will return an error if the facet type is not correct.
*required parameter
Example request returning the brand term facet and the best_facet range facet:
facets[0][field]=brand&facets[0][size]=10&facets[1][field]=best_price.
Filter parameters for items.
Doofinder expects the filter parameters grouped like this:
filter: { color: ['blue', 'red'], size: ['M', 'S'], price: { gte: 4.36, lt: 99 } }
Range filters can be used as follow:
- gte: Greater than or equal
- lte: Less than or equal
- gt: Greater than
- lt: Less than
Writing that down in request parameters language:
filter[color][]=blue&filter[color][]=red&filter[size][]=M&filter[size][]=S&filter[price][gte]=4.36&filter[price][lt]=99
Note that [ and ] characters should be escaped (%5B and %5D) in all filter cases.
When provided and grouping is active, each hit includes a df_variants array containing
all documents that share the same df_grouping_id, including the root (collapsed)
document itself. The value is a list of document field names to include in each variant
hit (e.g. with_variants[]=visual_variant).
If the list is empty or grouping is off, this parameter has no effect.
Your search engine is composed by one or many Indices. With the indices parameter you can specify to search
within one specific Index. If this parameter is not provided, the search will work with all Indices.
For instance, if you want to search within the "product" Index you should use the following query:
indices[]=product
In case you want to search within multiple Indices, the query will be:
indices[]=product&indices[]=page
The order of the values do not affect the results order.
Note that [ and ] characters should be escaped (%5B and %5D) in all cases.
This parameter is used to run a specific query type; normally search service uses the best query for the search being made.
The possible values for the query_name parameter are:
match_and: Doofinder will return results that contain all the search terms.match_or: Doofinder will return results that contain any of the search terms. Of course, results that contain all the terms are scored better.fuzzy: Doofinder will try to apply some «fuzzy logic» to determine whether a result, even if it’s not an exact match, is «close enough» to the search terms.
match_and, match_or, fuzzy Sorted results by certain fields.
Doofinder expects sort parameters like this:
sort: [{"price": "asc"}, {"brand": "desc"}]
Writing that down in request parameters language is:
sort[0][price]=asc&sort[1][brand]=desc
Note that [ and ] characters should be escaped (%5B and %5D) in all filter cases.
Response
OK
Search response. Some fields can not be included in the request if they have not data.